Page MenuHomePhabricator

[Profile] Instrumenter support for setting profile output from command line
ClosedPublic

Authored by tejohnson on Apr 28 2015, 9:44 PM.

Details

Reviewers
tejohnson
Summary

This change is the second of 3 patches to add support for specifying
the profile output from the command line via -fprofile-instr-generate=<path>,
where the specified output path/file will be overridden by the
LLVM_PROFILE_FILE environment variable.

This patch adds the necessary support to the llvm instrumenter, specifically
a new member of GCOVOptions for clang to save the specified filename, and
support for calling the new compiler-rt interface from __llvm_profile_init.

Diff Detail

Event Timeline

tejohnson updated this revision to Diff 24597.Apr 28 2015, 9:44 PM
tejohnson retitled this revision from to [Profile] Instrumenter support for setting compiler output from command line.
tejohnson updated this object.
tejohnson edited the test plan for this revision. (Show Details)
tejohnson added a subscriber: Unknown Object (MLST).
tejohnson retitled this revision from [Profile] Instrumenter support for setting compiler output from command line to [Profile] Instrumenter support for setting profile output from command line.Apr 30 2015, 11:20 AM

FYI I went ahead and uploaded the third patch (the cfe part):
http://reviews.llvm.org/D9407

tejohnson accepted this revision.Aug 12 2015, 7:50 AM
tejohnson added a reviewer: tejohnson.

Committed awhile back as r236288, reviewed/commited by bogner.

This revision is now accepted and ready to land.Aug 12 2015, 7:50 AM
tejohnson closed this revision.Aug 12 2015, 7:50 AM

Committed awhile back as r236288, reviewed/commited by bogner, closing manually.